> For the complete documentation index, see [llms.txt](https://developer.dashdoc.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.dashdoc.com/docs/use-cases-and-tutorials/retrieve-transport-tracking-data/get-information-about-washings.md).

# Get information about washings

Information filled by the trucker on the mobile app when a washing is performed can be accessed within the `status_updates` in the global JSON of a transport.

Here is an exemple of a `status_update` object in the case of a truck wash:

{% file src="/files/4fOI1VYjffUnE0lOyLgD" %}

You can retrieve the washing method that was used in `method`. Possible values are : none, A, B, C, D.

Depending on how the washing was done, you also have details about:

* the station where the truck has been washed : `stationName`
* the detergent that has been used : `detergent`
* the disinfectant that has been used : `disinfectant`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.dashdoc.com/docs/use-cases-and-tutorials/retrieve-transport-tracking-data/get-information-about-washings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
